Subject: Re: Make question
From: Heinz-Juergen Oertel <[email-masked]>
To: [email-masked]
Cc: cygwin users <[email-masked]>
Date: Tue, 25 Jan 2000 19:13:29 +0100

Emmanuel STAPF wrote:
> 
> In my makefile, I have the following statement:
> 
> .c.obj:
>         $(CC) $(CFLAGS) -c $<
> 
> and I'm using my makefile to generate a `file.obj' from a `file.c' which
> will be using to create a `library.lib' file.
> 
> However, make fails with the following output:
> make: *** No rule to make target `file.obj', needed by `library.lib'.  Stop.
> 
> Is there something special to do to allow my implicit rule.
> 
> Thanks in advance,
> Regards,
> Manu

It's not a Cygwin question, anyway, this works when I am using
Borland C or KEIL-C

.SUFFIXES: .obj
%.obj : %.c
        $(CC) $(CFLAGS) -o $@ -c $<

> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
with best regards / mit freundlichen Grüßen

   Heinz-Jürgen Oertel

===========================================
Heinz-Jürgen Oertel
port GmbH            phone +49 345 77755-0
Regensburger Str. 7c fax   +49 345 77755-20
D-06132 Halle/Saale  mailto:[email-masked]
Germany              http://www.port.de
===========================================

--
Want to unsubscribe from this list?
Send a message to [email-masked]